<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>V if</title>
    <script src="http://unpkg.com/vue@next"></script>
</head>
<body>
    <div id="app">
        <button v-on:click="switchShow()">Switch</button>
        <div v-if="isShow">Hello1</div>
        <div v-if="!isShow">Hello2</div>
        {{ isShow }}
    </div>
    <script>
        const App = {
            data() {
                return {
                    isShow: true
                }
            },
            methods: {
                switchShow() {
                    this.isShow=!this.isShow
                }
            }
        }
        Vue.createApp(App).mount('#app')
    </script>
</body>
</html>